function g = codecvhul2_2(xx)
%cvhul2 is the area of convex hull function
%Input xx is a vector of 5 parameters x1,y1,x2,y2, and alpha
x1=xx(1);
y1=xx(2);
x2=xx(3);
y2=xx(4);
alpha=xx(5);
global v  %set v is a width of rectangle
%create the  500-gon (F') 
t = linspace(0,999*pi/500,500); 
x=(sec(pi/500)*cos(t)/(2*pi));
y=(sec(pi/500)*sin(t)/(2*pi));
A=[x;y];
%create the vertex of a rectangle 
xR1=x1-(1/2-v)/2;
yR1=y1+v/2;
xR2=x1+(1/2-v)/2;
yR2=y1+v/2;
xR3=x1+(1/2-v)/2;
yR3=y1-v/2;
xR4=x1-(1/2-v)/2;
yR4=y1-v/2;
%create the vertex of an equilateral triangle
xL1=x2+(1/4)*cos(alpha+pi);
yL1=y2+(1/4)*sin(alpha+pi);
xL2=x2+(1/4)*cos(alpha);
yL2=y2+(1/4)*sin(alpha);
%B is the matrix of points of a rectangle
%C is the matrix of points of an equilateral triangle 
%D is the matrix of points of all objects
B = [xR1 xR2 xR3 xR4;yR1 yR2 yR3 yR4];
C = [xL1 xL2;yL1 yL2];
D = [A B C];
format long
%g is the area of convex hull of D 
[p,g]=convhull(D(1,:),D(2,:));

end
